package org.apache.slide.projector.context;

import java.util.Map;

import org.apache.commons.contract.Context;
import org.apache.commons.contract.Store;
import org.apache.commons.contract.StoreException;
import org.apache.commons.httpclient.Credentials;
import org.apache.slide.projector.value.URI;

public interface ProjectorContext extends Context {
    void setProcessId(String processId);
    
    String getProcessId();
    
    void setBookmark(URI processor) throws StoreException;
    
    URI getBookmark() throws StoreException;
    
    void setProcess(URI process);
    
    URI getProcess();

    void setStep(String step);
    
    String getStep();
    
    void setStepStore(Store store);
    
    void setInputParameters(Map map);
    
    void setCredentials(Credentials credentials);
    
    Credentials getCredentials();
}